// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"eta/eta_report/controllers"
	"github.com/beego/beego/v2/server/web"
)

func init() {
	ns := web.NewNamespace("/api",
		web.NSNamespace("/report",
			web.NSInclude(
				&controllers.ReportShareController{},
			),
		),
		web.NSNamespace("/wechat",
			web.NSInclude(
				&controllers.WechatCommonController{},
			),
		),
		web.NSNamespace("/english_report",
			web.NSInclude(
				&controllers.EnglishReportShareController{},
			),
		),
		web.NSNamespace("/smart_report",
			web.NSInclude(
				&controllers.SmartReportController{},
			),
		),
		web.NSNamespace("/excel",
			web.NSInclude(
				&controllers.ExcelController{},
			),
		),
		web.NSNamespace("/chart",
			web.NSInclude(
				&controllers.ChartController{},
			),
		),
	)
	web.AddNamespace(ns)
}
